package com.xhkjedu.gateway.mapper;

import com.xhkjedu.gateway.model.TModuleCheck;
import com.xhkjedu.gateway.vo.SchoolVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description：模块权限表
 * @Author: WN
 * @Date: 2023/11/27 15:18:22
 **/
public interface ModuleCheckMapper {

    //获取地址对应所有操作
    List<TModuleCheck> listAllModuleChecks();

    //获取用户当前年份及区域码
    SchoolVo getSchoolCloudByUserid(@Param("userid")Integer userid);

    //获取用户所属角色对应的所有模块地址
    List<String> listModuleurlsByUserid(@Param("userid")Integer userid);
}
